default: &default
  adapter: postgresql
  encoding: unicode
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>
  host: <%= ENV['DATABASE_HOST'] %>
  username: <%= ENV['DATABASE_USERNAME'] %>
  password: <%= ENV['DATABASE_PASSWORD'] %>

development:
  <<: *default
  database: backend_api_development

test:
  <<: *default
  database: backend_api_test

production:
  <<: *default
  database: backend_api_production
  username: backend_api
  password: <%= ENV["BACKEND_API_DATABASE_PASSWORD"] %>
